> For the complete documentation index, see [llms.txt](https://docs.terminal.africa/tship/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.terminal.africa/tship/rate/get-quotes-for-shipment.md).

# Get Quotes for Shipment

Fetch available shipping quotes for a shipment

## /rates/shipment/quotes

<mark style="color:green;">`POST`</mark> `https://api.terminal.africa/v1/rates/shipment/quotes`

This endpoint allows you to retrieve rates for a shipment. To return cash on delivery rates for carriers who supports cash-on-delivery,  ***s***&#x65;t ***cash\_on\_delivery*** to true

#### Headers

| Name                                            | Type   | Description                      |
| ----------------------------------------------- | ------ | -------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | string | Set value to `Bearer SECRET_KEY` |
| Content-Type<mark style="color:red;">\*</mark>  | string | Set value to `application/json`  |

#### Request Body

| Name                                                | Type    | Description                                                                                                                                                                                                                                                                                             |
| --------------------------------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| pickup\_address<mark style="color:red;">\*</mark>   | object  | Pickup Address Object. Refer to [**Create Address**](https://docs.terminal.africa/tship/address/create-address) under Addresses to see attributes required to create a pickup address                                                                                                                   |
| delivery\_address<mark style="color:red;">\*</mark> | object  | Delivery Address Object. Refer to [**Create Address**](https://docs.terminal.africa/tship/address/create-address) under Addresses to see attributes required to create a delivery address                                                                                                               |
| carrier\_id                                         | string  | Unique id for carrier. Include ***carrier\_id*** to return rates for specific carrier                                                                                                                                                                                                                   |
| currency                                            | string  | Currency for rates. Defaults to ***NGN***. Available options are ***AED***, ***AUD***, ***CAD***, ***CNY***, ***EUR***, ***GBP***, ***GHS***, ***HKD***, ***KES***, ***NGN***, ***TZS***, ***UGX***, ***USD***, ***ZAR***.                                                                              |
| parcel<mark style="color:red;">\*</mark>            | object  | <p>Parcel Object. Refer to <a href="https://docs.terminal.africa/tship/parcel/create-parcel"><strong>Create Parcel</strong></a> under Parcels API Endpoints to see attributes required.<br><em><strong>packaging\_id</strong></em> not necessary in parcel object if persist\_data is set to false.</p> |
| cash\_on\_delivery                                  | Boolean | Set to true to return cash on rates that supports cash on delivery.                                                                                                                                                                                                                                     |
| persist\_data                                       | Boolean | Set to true if you want to use the response rate\_id to arrange shipment/delivery. If this is true, every field in pickup and delivery address is required                                                                                                                                              |

{% tabs %}
{% tab title="200 Rates retrieved successfully." %}

```
{
    "status": true,
    "message": "Rates retrieved successfully",
    "data": [
        {
            "amount": 47500,
            "carrier_logo": "https://terminal-static-file.s3.amazonaws.com//uploads/2025-04-22-09-59-51-Terminal-Cargo-Logo.png",
            "carrier_name": "Terminal Air Cargo",
            "carrier_rate_description": "Air Cargo",
            "carrier_reference": "CA-4BWTMDHQKXZNP7J",
            "carrier_slug": "air-cargo",
            "currency": "NGN",
            "delivery_date": "2025-07-15T09:42:03.300Z",
            "delivery_eta": 10080,
            "delivery_time": "Within 7 days",
            "id": "rate_KqfMWgZixcxs1u6Y",
            "insurance_coverage": 0,
            "includes_duties": false,
            "insurance_fee": 0,
            "includes_insurance": false,
            "metadata": {
                "default_parcel": {
                    "packaging_dimension": {},
                    "parcel_total_weight": 2,
                    "parcel_value": 100,
                    "packages": [
                        {
                            "weight": 2.5,
                            "dimensions": {}
                        }
                    ]
                },
                "address_payload": {
                    "pickup_address": {
                        "city": "Kosofe",
                        "state": "Lagos",
                        "country": "NG",
                        "zip": "101123"
                    },
                    "delivery_address": {
                        "city": "Brookside",
                        "state": "Delaware",
                        "country": "US",
                        "zip": "101123"
                    }
                },
                "is_manual": true,
                "shipment_cost": 2000,
                "score": 10,
                "_id": null,
                "avgActualTurnaroundTime": 0,
                "avgActualPickupTime": 2,
                "avgRating": 0,
                "insurance_fee": 0,
                "insurance_currency": "NGN",
                "insurance_default_fee": 0,
                "insurance_default_currency": "NGN",
                "cod_processing_fee": 0
            },
            "pickup_date": "2025-07-08T09:42:03.300Z",
            "pickup_eta": 120,
            "pickup_time": "Within 2 hours",
            "rate_id": "RT-22JT23TDIBVHZOEC",
            "used": false,
            "dropoff_available": true,
            "dropoff_required": true,
            "default_amount": 0,
            "default_currency": "NGN",
            "cargo_type": "air",
            "type": "cargo",
            "user": "USER-1234567890",
            "delivery_address": "AD-PZZZXKSX3SX57COL",
            "pickup_address": "AD-C1XHAICYZ9F6EPF6",
            "parcel": "PC-QCSM5VYTI8ZARJPG"
        },
        {
            "amount": 77726.89,
            "default_amount": 77726.89,
            "default_currency": "NGN",
            "carrier_logo": "https://terminal-static-file.s3.us-east-1.amazonaws.com/images/Terminal+Express.svg",
            "carrier_name": "Terminal Express",
            "carrier_rate_description": "Express Shipping",
            "carrier_reference": "CA-ZLN8GIFB8EX1Z653",
            "carrier_slug": "terminal-express",
            "currency": "NGN",
            "delivery_date": "2025-07-13T09:42:04.504Z",
            "delivery_eta": 7200,
            "delivery_time": "Within 5 days",
            "id": "rate_jhDp5MZGHn3miz8W",
            "insurance_coverage": 0,
            "includes_duties": false,
            "insurance_fee": 0,
            "includes_insurance": false,
            "metadata": {
                "carrierFee": 72889.39,
                "default_parcel": {
                    "packaging_dimension": {},
                    "parcel_total_weight": 2,
                    "parcel_value": 100,
                    "packages": [
                        {
                            "weight": 2.5,
                            "dimensions": {}
                        }
                    ]
                },
                "address_payload": {
                    "pickup_address": {
                        "city": "Kosofe",
                        "state": "Lagos",
                        "country": "NG",
                        "zip": "101123"
                    },
                    "delivery_address": {
                        "city": "Brookside",
                        "state": "Delaware",
                        "country": "US",
                        "zip": "101123"
                    }
                },
                "shipment_cost": 72889.39,
                "score": 0,
                "avgRating": 0,
                "insurance_fee": 0,
                "insurance_currency": "NGN",
                "insurance_default_fee": 0,
                "insurance_default_currency": "NGN",
                "cod_processing_fee": 0
            },
            "pickup_date": "2025-07-10T09:42:04.504Z",
            "pickup_eta": 2880,
            "pickup_time": "Within 2 days",
            "rate_id": "RT-6ILI6FAC8622NYB0",
            "used": false,
            "user": "USER-1234567890",
            "delivery_address": "AD-PZZZXKSX3SX57COL",
            "pickup_address": "AD-C1XHAICYZ9F6EPF6",
            "parcel": "PC-QCSM5VYTI8ZARJPG"
        },
        {
            "amount": 93851.13,
            "default_amount": 93851.13,
            "default_currency": "NGN",
            "carrier_logo": "https://terminal-static-file.s3.amazonaws.com/images/Terminal-Premium-Logo-3.png",
            "carrier_name": "Terminal Premium",
            "carrier_rate_description": "International Economy",
            "carrier_reference": "CA-VO8R8JDFOBTGOP91",
            "carrier_slug": "terminal-premium",
            "currency": "NGN",
            "delivery_date": "2025-07-13T09:42:04.338Z",
            "delivery_eta": 7200,
            "delivery_time": "Within 5 days",
            "id": "rate_uYzbK9EKlZw6MqdP",
            "insurance_coverage": 0,
            "includes_duties": false,
            "insurance_fee": 0,
            "includes_insurance": false,
            "metadata": {
                "carrierFee": 81927.66,
                "default_parcel": {
                    "packaging_dimension": {},
                    "parcel_total_weight": 2,
                    "parcel_value": 100,
                    "packages": [
                        {
                            "weight": 2.5,
                            "dimensions": {}
                        }
                    ]
                },
                "address_payload": {
                    "pickup_address": {
                        "city": "Kosofe",
                        "state": "Lagos",
                        "country": "NG",
                        "zip": "101123"
                    },
                    "delivery_address": {
                        "city": "Brookside",
                        "state": "Delaware",
                        "country": "US",
                        "zip": "101123"
                    }
                },
                "shipment_cost": 81927.66,
                "score": 0,
                "avgRating": 0,
                "insurance_fee": 0,
                "insurance_currency": "NGN",
                "insurance_default_fee": 0,
                "insurance_default_currency": "NGN",
                "cod_processing_fee": 0
            },
            "pickup_date": "2025-07-10T09:42:04.338Z",
            "pickup_eta": 2880,
            "pickup_time": "Within 2 days",
            "rate_id": "RT-WM6M9CAFX3JK01X0",
            "used": false,
            "user": "USER-1234567890",
            "delivery_address": "AD-PZZZXKSX3SX57COL",
            "pickup_address": "AD-C1XHAICYZ9F6EPF6",
            "parcel": "PC-QCSM5VYTI8ZARJPG"
        },
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.terminal.africa/tship/rate/get-quotes-for-shipment.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
